<CsoundSynthesizer>

<CsOptions>

</CsOptions>

<CsInstruments>
sr=44100
kr=441
ksmps=100
nchnls=2

#include "rvb.h"

ga1 	init 0
ga2	init 0
ga3	init 0

	instr 1	;working instrument
kpch	= cpspch(p4)
iforce	= p6 * .0004

ain	linseg 0, 1, iforce, p3 - .1, 0

kenv	linseg 0, 1, 1, p3 -.7, 0

ifnmatrix	= p5
iscantable	 = p7

; PARAMETERS FOR SCANU
iInit	= 1
irate	= .02

ifnvel	= 6
ifnmass	= 2
ifncenter	= 4
ifndamp	= 5

kmass	= 2
kstiff	= .05
kcenter	= .1
kdamp 	= -.4

ileft	= .1
iright	= .3
kpos	= .2
kstrength	= 0

idisp	= 0
id	= 2


	scanu	iInit,irate,ifnvel,ifnmass,ifnmatrix,ifncenter,ifndamp,kmass,kstiff,kcenter,kdamp,ileft,iright,kpos,kstrength,ain,idisp,id

aout	scans	15000, kpch, iscantable, 2
aout	= aout * kenv
aout 	dcblock aout

aout	butterlp	aout, kpch * 8 * kenv
aout	butterlp	aout, kpch * 8 * kenv

aout	nreverb	aout, .1, .2


ga1	= ga1 + aout
ga2	= ga1 + aout

	endin

	instr 2	;feedback scanned
ain 	init 0

kpch	= cpspch(p4)
iforce	= p6 * .0004

aforce	linseg 0, 1, iforce, p3 - .1, 0

ain	= ain + aforce

kenv	line 1, p3, 0
kpch	= cpspch(p4)

ifnmatrix	= p5
iscantable	 = p7

; PARAMETERS FOR SCANU
iInit	= 1
irate	= .02

ifnvel	= 6
ifnmass	= 2
ifncenter	= 4
ifndamp	= 5

kmass	= 2
kstiff	= .05
kcenter	= .1
kdamp 	= -.4

ileft	= .1
iright	= .3
kpos	= .2
kstrength	= 0

idisp	= 0
id	= 2


	scanu	iInit,irate,ifnvel,ifnmass,ifnmatrix,ifncenter,ifndamp,kmass,kstiff,kcenter,kdamp,ileft,iright,kpos,kstrength,ain,idisp,id

aout	scans	30000, kpch, iscantable, 2

ain	= (aout / 30000) * .0002  ; feeding back the out signal into scanu

aout	= aout * kenv
aout 	dcblock aout

aout	butterlp	aout, kpch * 8 * kenv
aout	butterlp	aout, kpch * 8 * kenv

aout	nreverb	aout, 1, .2


ga1	= ga1 + aout
ga2	= ga1 + aout

	endin

	instr 3	;double scanned
ain 	init 0

kpch	= cpspch(p4)
iforce	= p6 * .0004

aforce	linseg 0, 1, iforce, p3 - .1, 0

ain	= aforce - ain



kenv	line 1, p3, 0
kpch	= cpspch(p4)

ifnmatrix	= p5
iscantable	 = p7

; PARAMETERS FOR SCANU
iInit	= 1
irate	= .02

ifnvel	= 6
ifnmass	= 2
ifncenter	= 4
ifndamp	= 5

kmass	= 2
kstiff	= .05
kcenter	= .1
kdamp 	= -.4

ileft	= .1
iright	= .3
kpos	= .2
kstrength	= 0

idisp	= 0
id	= 2


	scanu	iInit,irate,ifnvel,ifnmass,ifnmatrix,ifncenter,ifndamp,kmass,kstiff,kcenter,kdamp,ileft,iright,kpos,kstrength,ain,idisp,id

	scanu iInit,irate,ifnvel,ifnmass,ifnmatrix,ifncenter,ifndamp,1,.04,kcenter,kdamp,ileft,iright,kpos,kstrength,aforce,idisp,3

aout	scans	30000, kpch, iscantable, 2
aout2	scans	30000, kpch, iscantable, 3

ain	= (aout2 / 30000) * .02

aout	= aout * kenv
aout 	dcblock aout

aout	butterlp	aout, kpch * 8 * kenv
aout	butterlp	aout, kpch * 8 * kenv

aout	nreverb	aout, 1, .2


ga1	= ga1 + aout
ga2	= ga1 + aout

	endin

	instr 20	;reverb
$xrvb2s(ga1'aoutL'aoutR'.2'1'2000)
outs aoutL, aoutR

;outs ga1, ga1

;aout	nreverb	ga1 * .7, 4, .8
;outs aout + ga1, aout + ga1

ga1 = 0
;ga2 = 0
;ga3 = 0
	endin


</CsInstruments>

<CsScore>

;f1 0 128 7 0 64 1 64 0	; initpos
f1 0 128 7 0 128 0
f2 0 128 -7 1 128 1		; masses

f4  0 128 -7 0 128 2		; centering force
;f4  0 128 -7 1 128 2

f5 0 128 -7 1 128 1		; damping
;f5 0 128 -7 0 128 1
f6 0 128 -7 -.0 128 0		; init velocity
f7 0 128 -7 0 128 128	; trajectory

f20 0 65537 10 1
f21 0 65537 7 -1 65537 1
f22 0 65537 7 1 32768 1 1 -1 32768 -1

f100 0 16384 -23 "string-128"
f101 0 16384 -23 "torus-128,8"
f102 0 16384 -23 "steven2"
f103 0 16384 -23 "steven3-random"
f104 0 16384 -23 "steven4-random"
f105 0 16384 -23 "circularstring-128"
f106 0 16384 -23 "cylinder-128,8"



f200  0 128 -23 "spiral-8,16,128,2,1over2"



/*f1  0 128 7 0 64 1 64 0
f2  0 128 -7 1 128 1
f4  0 128 -7 0 128 2
f5  0 128 -7 1 128 1
f6  0 128 -7 -.0 128 .0
f7   0 128 -7 0 128 128 */

i20 0 [64.0 + 4]

i1	0.0	5.0	8.01	100	60	7	
i1	6.0	5.0	8.01	101	50	7	
i1	12.0	6.0	8.01	102	80	7	
i1	33.0	6.0	8.01	105	80	7	
i1	40.0	6.0	8.01	106	80	7	
i1	19.181818	6.0	8.01	103	80	7	
i1	26.0	6.0	8.01	104	80	7	
i2	47.0	5.0	8.01	100	50	7	
i2	53.0	5.0	8.01	100	50	7	
i3	59.0	5.0	8.01	100	50	7	
e

</CsScore>

</CsoundSynthesizer>